Bug 167877 - New ports net/freeswitch-vanilla
Summary: New ports net/freeswitch-vanilla
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Chris Rees
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-05-14 14:20 UTC by RIchard Neese
Modified: 2012-05-22 20:20 UTC (History)
0 users

See Also:


Attachments
freeswitch-vanilla.shar (13.75 KB, text/plain; charset=windows-1252)
2012-05-14 14:25 UTC, RIchard Neese
no flags Details
freeswitch-vanilla.shar (19.86 KB, text/plain; charset=windows-1252)
2012-05-14 15:06 UTC, RIchard Neese
no flags Details
freeswitch12-vanilla.shar (19.97 KB, text/plain; charset=windows-1252)
2012-05-14 19:03 UTC, RIchard Neese
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description RIchard Neese 2012-05-14 14:20:10 UTC
now Splitting the configs into thier own ports as there are multi versions of the freeswitch configs now.
Comment 1 Edwin Groothuis freebsd_committer 2012-05-14 14:20:38 UTC
Class Changed
From-To: sw-bug->change-request

Fix category (new ports should be change-requests) (via the GNATS Auto 
Assign Tool)
Comment 2 RIchard Neese 2012-05-14 14:25:12 UTC
On 5/14/2012 9:20 AM, FreeBSD-gnats-submit@FreeBSD.org wrote:
> Thank you very much for your problem report.
> It has the internal identification `ports/167877'.
> The individual assigned to look at your
> report is: freebsd-ports-bugs. 
>
> You can access the state of your problem report at any time
> via this link:
>
> http://www.freebsd.org/cgi/query-pr.cgi?pr=167877
>
>> Category:       ports
>> Responsible:    freebsd-ports-bugs
>> Synopsis:       New ports net/freeswitch-vanilla
>> Arrival-Date:   Mon May 14 13:20:10 UTC 2012
Comment 3 RIchard Neese 2012-05-14 15:06:17 UTC
On 5/14/2012 9:20 AM, FreeBSD-gnats-submit@FreeBSD.org wrote:
> Thank you very much for your problem report.
> It has the internal identification `ports/167877'.
> The individual assigned to look at your
> report is: freebsd-ports-bugs. 
>
> You can access the state of your problem report at any time
> via this link:
>
> http://www.freebsd.org/cgi/query-pr.cgi?pr=167877
>
>> Category:       ports
>> Responsible:    freebsd-ports-bugs
>> Synopsis:       New ports net/freeswitch-vanilla
>> Arrival-Date:   Mon May 14 13:20:10 UTC 2012
fixed a issue in the plist
Comment 4 RIchard Neese 2012-05-14 16:26:46 UTC
On 5/14/2012 9:20 AM, FreeBSD-gnats-submit@FreeBSD.org wrote:
> Thank you very much for your problem report.
> It has the internal identification `ports/167877'.
> The individual assigned to look at your
> report is: freebsd-ports-bugs. 
>
> You can access the state of your problem report at any time
> via this link:
>
> http://www.freebsd.org/cgi/query-pr.cgi?pr=167877
>
>> Category:       ports
>> Responsible:    freebsd-ports-bugs
>> Synopsis:       New ports net/freeswitch-vanilla
>> Arrival-Date:   Mon May 14 13:20:10 UTC 2012
moved to net/freeswitch-12-vanilla
Comment 5 Chris Rees freebsd_committer 2012-05-14 17:35:30 UTC
Responsible Changed
From-To: freebsd-ports-bugs->crees

I'll take it.
Comment 6 RIchard Neese 2012-05-14 19:03:09 UTC
On 5/14/2012 9:20 AM, FreeBSD-gnats-submit@FreeBSD.org wrote:
> Thank you very much for your problem report.
> It has the internal identification `ports/167877'.
> The individual assigned to look at your
> report is: freebsd-ports-bugs. 
>
> You can access the state of your problem report at any time
> via this link:
>
> http://www.freebsd.org/cgi/query-pr.cgi?pr=167877
>
>> Category:       ports
>> Responsible:    freebsd-ports-bugs
>> Synopsis:       New ports net/freeswitch-vanilla
>> Arrival-Date:   Mon May 14 13:20:10 UTC 2012
updated plist and install
Comment 7 Chris Rees freebsd_committer 2012-05-19 15:23:48 UTC
State Changed
From-To: open->feedback

Not finished testing this change yet, but I've slaved the conf ports to 
vanilla; a load simpler to maintain them then for you, as well as 
autogenning the plists (your plists are incorrect; they remove the 
customised config files!).  What do you think? 
http://www.bayofrum.net/~crees/patches/freeswitch-slave-confs.diff
Comment 8 dfilter service freebsd_committer 2012-05-22 20:13:01 UTC
crees       2012-05-22 19:12:47 UTC

  FreeBSD ports repository

  Modified files:
    net                  Makefile 
    net/freeswitch-core-devel Makefile pkg-plist 
    net/freeswitch-core-devel/files pkg-install.in 
  Added files:
    net/freeswitch-curl-devel Makefile pkg-descr 
    net/freeswitch-insideout-devel Makefile pkg-descr 
    net/freeswitch-sbc-devel Makefile pkg-descr 
    net/freeswitch-vanilla-devel Makefile distinfo pkg-descr 
                                 pkg-plist-vanilla 
  Log:
  Add configuration ports for freeswitch-devel; vanilla, sbc, insideout and curl
  
  PR:             ports/167877
  PR:             ports/167878
  PR:             ports/167879
  PR:             ports/167881
  Submitted by:   Richard Neese (r.neese@gmail.com) (maintainer)
  
  Fix some minor pkg-install script issues in -core-devel
  
  Use a cookie file to install ETCDIR/conf directory structure rather than
  @exec mkdir to simplify installation
  
  Revision  Changes    Path
  1.2465    +4 -0      ports/net/Makefile
  1.3       +10 -10    ports/net/freeswitch-core-devel/Makefile
  1.2       +6 -8      ports/net/freeswitch-core-devel/files/pkg-install.in
  1.3       +1 -0      ports/net/freeswitch-core-devel/pkg-plist
  1.1       +12 -0     ports/net/freeswitch-curl-devel/Makefile (new)
  1.1       +4 -0      ports/net/freeswitch-curl-devel/pkg-descr (new)
  1.1       +12 -0     ports/net/freeswitch-insideout-devel/Makefile (new)
  1.1       +4 -0      ports/net/freeswitch-insideout-devel/pkg-descr (new)
  1.1       +12 -0     ports/net/freeswitch-sbc-devel/Makefile (new)
  1.1       +4 -0      ports/net/freeswitch-sbc-devel/pkg-descr (new)
  1.1       +66 -0     ports/net/freeswitch-vanilla-devel/Makefile (new)
  1.1       +2 -0      ports/net/freeswitch-vanilla-devel/distinfo (new)
  1.1       +3 -0      ports/net/freeswitch-vanilla-devel/pkg-descr (new)
  1.1       +6 -0      ports/net/freeswitch-vanilla-devel/pkg-plist-vanilla (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 9 Chris Rees freebsd_committer 2012-05-22 20:13:23 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!